Page MenuHomePhabricator

Anomalous statistics results in eu.wikipedia siteviews
Closed, ResolvedPublic2 Story Points

Description

If we make a search of siteviews for Basque Wikipedia in siteviews we get a very anomalous result for some days in December. It doesn't fit with any logical explanation (special events) or trend, and the most viewed articles also doesn't fit with the result. This result breaks some statistics we are tracking for real pageviews, in order to report for our projects.

Is there any possible explanation for this? Or is simply a bug?

Event Timeline

Theklan created this task.Jan 3 2019, 6:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2019, 6:11 PM
Milimetric triaged this task as High priority.Jan 7 2019, 4:36 PM
Milimetric moved this task from Incoming to Ops Week on the Analytics board.
fdans added a subscriber: fdans.Feb 18 2019, 4:27 PM

@Theklan can you send us some url examples for us to understand? Thank you!

fdans moved this task from Ops Week to Data Quality on the Analytics board.Feb 18 2019, 4:27 PM
mforns lowered the priority of this task from High to Medium.Mar 11 2019, 3:36 PM
Nuria added a subscriber: Nuria.Aug 25 2019, 1:11 PM

@Theklan sorry about the late response but the truth is that our team has no bandwidth for request such as these. These requests that spike on January 21st where made from the US and they are real traffic, probably a bot not identified as such in atlanta and miami. The requests include a lot of non-basque page titles mostly catalan, french and English.

See anomalous page titles:
https://tools.wmflabs.org/pageviews/?project=eu.wikipedia.org&platform=all-access&agent=user&start=2018-12-01&end=2019-08-24&pages=Wes_Anderson
https://tools.wmflabs.org/pageviews/?project=eu.wikipedia.org&platform=all-access&agent=user&start=2018-12-01&end=2019-08-24&pages=Sant_Climent_de_Llobregat
https://tools.wmflabs.org/pageviews/?project=eu.wikipedia.org&platform=all-access&agent=user&start=2018-12-01&end=2019-08-24&pages=Lleidako_La_Seu_Vella_katedrala

Nuria claimed this task.Aug 25 2019, 1:11 PM
Nuria set the point value for this task to 2.
Nuria edited projects, added Analytics-Kanban; removed Pageviews-Anomaly.
Nuria moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Aug 29 2019, 1:16 PM